Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.comm
Class Common

    java.lang.Object
      |
      +--com.ibm.ulc.comm.Common

public class Common
extends java.lang.Object

Common constants, some version stuff

Field Summary
`static int` | `FACTORY_ID` The well known object id of the factory.
`static java.lang.String` | `IPADDR` The default host name.
`static int` | `PROTOCOL_VERSION_MAJOR` The major protocol version.
`static int` | `PROTOCOL_VERSION_MINOR` The minor protocol version.
`static int` | `SERVER_PORT` The default server port.
`static java.lang.String` | `ULC_VERSION` The release version.

Constructor Summary
`Common()`

Method Summary
`static boolean` | `checkMajorVersion(Anything args)`
`static boolean` | `checkMinorVersion(Anything args)`
`static java.lang.Object` | `convertAnythingToCollection(Anything a)`
`static Anything` | `convertCollectionToAnything(java.util.Vector v)`
`static java.lang.Object` | `convertFromAnything(Anything a)`
`static java.lang.String` | `convertORBRequestToStringForLog(java.lang.String prefix, ORBRequest o, java.lang.String suffix)` Convenience method to convert an OrbRequest to a String for logging purposes
`static Anything` | `convertToAnything(java.lang.Object o)`
`static java.lang.String` | `getUlcVersion()`
`static java.lang.String` | `getVersion()`
`static void` | `printULCVersionAndProtocolVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVER_PORT

    public static final int SERVER_PORT

  The default server port.

### IPADDR

    public static final java.lang.String IPADDR

  The default host name.

### FACTORY_ID

    public static final int FACTORY_ID

  The well known object id of the factory. The factory is the object that can create remote objects. It handles the "create" request.

### PROTOCOL_VERSION_MAJOR

    public static final int PROTOCOL_VERSION_MAJOR

  The major protocol version.

### PROTOCOL_VERSION_MINOR

    public static final int PROTOCOL_VERSION_MINOR

  The minor protocol version.

### ULC_VERSION

    public static final java.lang.String ULC_VERSION

  The release version.

Constructor Detail

### Common

    public Common()

Method Detail

### checkMajorVersion

    public static boolean checkMajorVersion(Anything args)

### checkMinorVersion

    public static boolean checkMinorVersion(Anything args)

### convertAnythingToCollection

    public static java.lang.Object convertAnythingToCollection(Anything a)

### convertCollectionToAnything

    public static Anything convertCollectionToAnything(java.util.Vector v)

### convertFromAnything

    public static java.lang.Object convertFromAnything(Anything a)

### convertORBRequestToStringForLog

    public static java.lang.String convertORBRequestToStringForLog(java.lang.String prefix,
                                                                   ORBRequest o,
                                                                   java.lang.String suffix)

  Convenience method to convert an OrbRequest to a String for logging purposes

### convertToAnything

    public static Anything convertToAnything(java.lang.Object o)

### getUlcVersion

    public static java.lang.String getUlcVersion()

### getVersion

    public static java.lang.String getVersion()

### printULCVersionAndProtocolVersion

    public static void printULCVersionAndProtocolVersion()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD